{
  "annotations": {
    "changelogDate": "20251210161126"
  },
  "applications": ["*"],
  "dto": "mapstruct",
  "fields": [
    {
      "fieldName": "nome",
      "fieldType": "String"
    },
    {
      "fieldName": "descrizione",
      "fieldType": "String"
    },
    {
      "fieldName": "indirizzo",
      "fieldType": "String"
    },
    {
      "fieldName": "capienzaMax",
      "fieldType": "Integer"
    },
    {
      "fieldName": "attiva",
      "fieldType": "Boolean"
    },
    {
      "fieldName": "fotoUrl",
      "fieldType": "String"
    },
    {
      "fieldName": "createdAt",
      "fieldType": "Instant"
    },
    {
      "fieldName": "updatedAt",
      "fieldType": "Instant"
    }
  ],
  "jpaMetamodelFiltering": true,
  "name": "Struttura",
  "pagination": "pagination",
  "relationships": [
    {
      "otherEntityName": "disponibilita",
      "otherEntityRelationshipName": "struttura",
      "relationshipName": "disponibilita",
      "relationshipSide": "right",
      "relationshipType": "one-to-many"
    },
    {
      "otherEntityName": "modelloLiberatoria",
      "otherEntityRelationshipName": "struttura",
      "relationshipName": "moduliLiberatorie",
      "relationshipSide": "right",
      "relationshipType": "one-to-many"
    }
  ],
  "searchEngine": "no",
  "service": "serviceImpl"
}
